Set one member's LLM provider credential
curl --request PUT \
--url http://api.den.local/v1/llm-providers/{llmProviderId}/member-credentials/{orgMembershipId} \
--header 'Content-Type: application/json' \
--data '
{
"apiKey": "<string>",
"apiKeys": {},
"externalPrincipalId": "<string>",
"externalCredentialId": "<string>",
"expectedVersion": 123
}
'import requests
url = "http://api.den.local/v1/llm-providers/{llmProviderId}/member-credentials/{orgMembershipId}"
payload = {
"apiKey": "<string>",
"apiKeys": {},
"externalPrincipalId": "<string>",
"externalCredentialId": "<string>",
"expectedVersion": 123
}
headers = {"Content-Type": "application/json"}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
apiKey: '<string>',
apiKeys: {},
externalPrincipalId: '<string>',
externalCredentialId: '<string>',
expectedVersion: 123
})
};
fetch('http://api.den.local/v1/llm-providers/{llmProviderId}/member-credentials/{orgMembershipId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"state": "active",
"version": 123,
"updatedAt": "2023-11-07T05:31:56Z"
}{
"error": "invalid_request",
"details": [
{
"message": "<string>",
"path": [
"<string>"
]
}
],
"capability": "<string>"
}{
"error": "unauthorized"
}{
"error": "forbidden",
"reason": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "version_conflict"
}LLM Providers
Set one member's LLM provider credential
Admin-only. Stores write-only credential material and optional external provisioner identifiers.
PUT
/
v1
/
llm-providers
/
{llmProviderId}
/
member-credentials
/
{orgMembershipId}
Set one member's LLM provider credential
Path Parameters
Den TypeID with 'lpr_' prefix and a 26-character base32 suffix.
Required string length:
30Den TypeID with 'om_' prefix and a 26-character base32 suffix.
Required string length:
29Body
application/json
Response
Member credential stored.
Available options:
active, blocked, stale, error Required range:
x <= 9007199254740991Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Was this page helpful?